Bug 463537 - [LTC 6.0 FEAT] 200994:Linux CPU Node Affinity
[LTC 6.0 FEAT] 200994:Linux CPU Node Affinity
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
s390x All
high Severity high
: alpha
: 6.0
Assigned To: Peter Martuccelli
Martin Jenner
: FutureFeature
Depends On:
Blocks: 356741
  Show dependency treegraph
 
Reported: 2008-09-23 16:31 EDT by IBM Bug Proxy
Modified: 2010-07-23 03:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-22 16:52:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-23 16:31:59 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 17:55 EDT
1. Feature Overview:
Feature Id:	[200994]
a. Name of Feature:	Linux CPU Node Affinity
b. Feature Description
Optimize the Linux scheduling according to the CPU node topology.  Newer hardware (System z10
Enterprise Class) supports an interface which can be used to get information about the cpu topology
of an LPAR. This can be used to optimize the Linux scheduler which bases its decisions on which
process gets scheduled to which cpu on the cpu topology. This feature should increase cache hits and
therefore overall  performance as well.

Additional Comments:	This feature is for validation, it is expected to get included into RHEL5.3

2. Feature Details:
Sponsor:	zSeries
Architectures:
s390x

Arch Specificity: Both
Affects Core Kernel: Yes
Delivery Mechanism: Direct from community
Category:	Performance
Request Type:	Kernel - Enhancement from IBM
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	2.6.26
Performance Assistance:	yes

3. Business Case
The value of this item lies in the optimized exploitation of future zSeries machines, yielding
better system performance

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 1 Bill Nottingham 2008-10-02 15:31:38 EDT
Since this is a validation only feature, marking as modified.

The feature requested has already been accepted into the upstream code base
planned for the next major release of Red Hat Enterprise Linux.

When the next milestone release of Red Hat Enterprise Linux 6 is available,
please verify that the feature requested is present and functioning as
desired.
Comment 2 Hans-Joachim Picht 2009-09-22 16:52:33 EDT
Code is included in the rhel6 kernel via upstream. Marked as
CLOSED/CURRENTRELEASE by  Hans-Joachim Picht <hpicht@redhat.com>
Comment 3 IBM Bug Proxy 2010-07-23 03:20:53 EDT
------- Comment From mgrf@de.ibm.com 2010-07-23 03:15 EDT-------
This feature is verified on R6 snapshots
Set feature to "verified"  Thx

Note You need to log in before you can comment on or make changes to this bug.